package com.ruoyi.invest.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.tool.domain.TUnifyFile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 尽调关联对象 t_project_investigate
 * 
 * @author zjc
 * @date 2024-03-13
 */
@Data
public class TProjectInvestigate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 尽调名称 */
    @Excel(name = "尽调名称")
    private String investigateName;

    /** 尽调编号 */
    @Excel(name = "尽调编号")
    private String investigateCode;

    /** 项目id */
    @Excel(name = "项目id")
    private String projectPoolId;

    /** 项目名称 */
    private String projectName;

    /** 尽调人员 */
    @Excel(name = "尽调人员")
    private String investigatePerson;

    /** $column.columnComment */
    private String investigatePersonId;

    /** 尽调费用（元） */
    @Excel(name = "尽调费用", readConverterExp = "元=")
    private String investigateCost;

    /** 描述 */
    @Excel(name = "描述")
    private String describe;

    /** 删除状态 */
    private String delFlag;

    /** 状态 */
   /* private String status;*/

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;

    /** 尽调地点 */
    private String investigatePlace;

    /** 期望尽调开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /** 期望尽调结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /** 尽调资料是否齐全 */
    private String readiness;

    /** 是否有第三方投资机构 */
    private String thirdParty;

    /** 尽调财务数据截止日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date deadDate;

    private String procInstId;
    /**
     * 流程状态
     */
    @ApiModelProperty("流程状态")
    private Integer status;//流程状态（ //0暂存1已提交2审批中3审批通过4关闭）
    //表外
    private boolean flag;
    private String isTerminate; // 是否终止 0 - 否/观望; 1 - 是/终止

    private String taskId;//任务节点编号
    private String taskDefKey;
    public void setId(String id)
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setInvestigateName(String investigateName) 
    {
        this.investigateName = investigateName;
    }

    public String getInvestigateName() 
    {
        return investigateName;
    }
    public void setInvestigateCode(String investigateCode) 
    {
        this.investigateCode = investigateCode;
    }

    public String getInvestigateCode() 
    {
        return investigateCode;
    }
    public void setProjectPoolId(String projectPoolId) 
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }
    public void setInvestigatePerson(String investigatePerson) 
    {
        this.investigatePerson = investigatePerson;
    }

    public String getInvestigatePerson() 
    {
        return investigatePerson;
    }
    public void setInvestigatePersonId(String investigatePersonId) 
    {
        this.investigatePersonId = investigatePersonId;
    }

    public String getInvestigatePersonId() 
    {
        return investigatePersonId;
    }
    public void setInvestigateCost(String investigateCost) 
    {
        this.investigateCost = investigateCost;
    }

    public String getInvestigateCost() 
    {
        return investigateCost;
    }
    public void setDescribe(String describe) 
    {
        this.describe = describe;
    }

    public String getDescribe() 
    {
        return describe;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    /*public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }*/

    public String getInvestigatePlace() {
        return investigatePlace;
    }

    public void setInvestigatePlace(String investigatePlace) {
        this.investigatePlace = investigatePlace;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getReadiness() {
        return readiness;
    }

    public void setReadiness(String readiness) {
        this.readiness = readiness;
    }

    public String getThirdParty() {
        return thirdParty;
    }

    public void setThirdParty(String thirdParty) {
        this.thirdParty = thirdParty;
    }

    public Date getDeadDate() {
        return deadDate;
    }

    public void setDeadDate(Date deadDate) {
        this.deadDate = deadDate;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public boolean isFlag() {
        return flag;
    }

    public void setFlag(boolean flag) {
        this.flag = flag;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskDefKey() {
        return taskDefKey;
    }

    public void setTaskDefKey(String taskDefKey) {
        this.taskDefKey = taskDefKey;
    }

    public String getProcInstId() {
        return procInstId;
    }

    public void setProcInstId(String procInstId) {
        this.procInstId = procInstId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("investigateName", getInvestigateName())
            .append("investigateCode", getInvestigateCode())
            .append("projectPoolId", getProjectPoolId())
            .append("investigatePerson", getInvestigatePerson())
            .append("investigatePersonId", getInvestigatePersonId())
            .append("investigateCost", getInvestigateCost())
            .append("describe", getDescribe())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
